Bug 1140423 - Update to the latest git commit d832073 2014-07-20 & catch up gtk3
Summary: Update to the latest git commit d832073 2014-07-20 & catch up gtk3
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-themes
Version: 21
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-10 23:53 UTC by poma
Modified: 2014-09-23 05:11 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-17 09:28:29 UTC


Attachments (Terms of Use)
update to git d832073 gtk3 sync (46.36 KB, patch)
2014-09-10 23:56 UTC, poma
no flags Details | Diff
MATE-Desktop-themes - changes related to gtk+-3.13.[3-7] (42.13 KB, patch)
2014-09-11 00:00 UTC, poma
no flags Details | Diff

Description poma 2014-09-10 23:53:58 UTC

Comment 1 poma 2014-09-10 23:56:21 UTC
Created attachment 936352 [details]
update to git d832073 gtk3 sync

Comment 2 poma 2014-09-11 00:00:36 UTC
Created attachment 936353 [details]
MATE-Desktop-themes - changes related to gtk+-3.13.[3-7]


A patch for upstream.

Changes probably related to:

- http://ftp.gnome.org/pub/gnome/sources/gtk+/3.13/gtk+-3.13.3.news
  Overview of Changes in GTK+ 3.13.2 to 3.13.3
  ============================================

  ...
  * Theming:
   - Use client-side shadows for menus and tooltips

- http://ftp.gnome.org/pub/GNOME/sources/gtk+/3.13/gtk+-3.13.7.news
  Overview of Changes in GTK+ 3.13.6 to 3.13.7
  ============================================

  * To align better with css, button and menuitem subclasses now use a
    :checked state to indicate their checkedness, instead of :active or
    :selected.

Comment 3 poma 2014-09-11 00:04:17 UTC
$ rpm -q mate-themes
mate-themes-1.9.0-4.1.git20140720.d832073.fc21.noarch

Comment 4 Adam Williamson 2014-09-11 02:51:28 UTC
I think there are a couple of problems with your spec changes, but if that fixes the themes it's good news. (the release should be 0.1.git20140720.d832073.fc21 , not 4.1.git20140720.d832073.fc21 )

Comment 5 poma 2014-09-11 11:34:30 UTC
Xfce MATE Desktop themes "gtk3 catch up" patch test


			check&radio / window-frame
			   :checked   box-shadow:
- mate-themes:
BlackMATE		          + / -
BlueMenta		          + / +
ContrastHigh		          + / +
GreenLaguna		          + / -
Menta			          + / -
Shiny			          + / +
TraditionalGreen	          + / +
Traditional+		          + / +
Traditional+Test	          + / +

Comment 6 poma 2014-09-11 11:45:53 UTC
(In reply to Adam Williamson (Red Hat) from comment #4)
> I think there are a couple of problems with your spec changes, but if that
> fixes the themes it's good news. (the release should be
> 0.1.git20140720.d832073.fc21 , not 4.1.git20140720.d832073.fc21 )

Are you tried to upgrade from "your" version?
BTW spec is the least important now, and it is maintainer's role to review before applying, right.

Comment 7 poma 2014-09-11 12:09:13 UTC
w/o TAB + Ok. :)
Xfce MATE Desktop themes "gtk3 catch up" patch test


                        check&radio / window-frame
                           :checked   box-shadow:
- mate-themes:
BlackMATE                         + / -
BlueMenta                         + / +
ContrastHigh                      + / +
GreenLaguna                       + / -
Menta                             + / -
Shiny                             + / +
TraditionalGreen                  + / +
TraditionalOk                     + / +
TraditionalOkTest                 + / +

Comment 8 poma 2014-09-11 12:11:25 UTC
(In reply to poma from comment #7)
> w/o TAB + Ok. :)
> Xfce MATE Desktop themes "gtk3 catch up" patch test
> 

This also looks good in the mail! :)

Comment 9 poma 2014-09-11 12:29:57 UTC
mate-themes-extras
Update to the latest git commit f41b574 2014-08-10 & catch up gtk3
https://bugzilla.redhat.com/show_bug.cgi?id=1140645

Comment 10 Fedora Update System 2014-09-11 19:57:19 UTC
mate-themes-1.9.1-0.1.git20140720.d832073.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mate-themes-1.9.1-0.1.git20140720.d832073.fc21

Comment 11 Fedora Update System 2014-09-23 05:11:39 UTC
mate-themes-1.9.1-0.1.git20140720.d832073.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.